# Magento 2 Reindex From Backend 

**This Reindex from Backend for Magento 2 extension** is a perfect solution that can help store admin manage everything easier in the backend without any supports from a developer.

## 1. Documentation

- Installation guide: <a href="https://bsscommerce.com/media/attachments/115_58be9812cb481_Installation_Guide-Reindex_from_Backend_for_Magento_2_Extension.pdf" target="_blank">Get It Now!</a>
- User Guide: <a href="https://bsscommerce.com/media/attachments/115_58be980260b24_User_Guide-Reindex_from_Backend_for_Magento_2_Extension.pdf" target="_blank">Get It Now!</a>
- Download from our Live site: https://bsscommerce.com/reindex-from-backend-for-magento-2.html/
- Get Support: https://bsscommerce.freshdesk.com/support/home/
- Contribute on Github: https://github.com/BssGroup/magento2-reindex/
- Changelog: https://bsscommerce.com/reindex-from-backend-for-magento-2.html#tabso3 

## 2. How to install

- **Step 1**: Unzip the file.
- **Step 2**: Create another directory called app/code/Bss/Reindex/. Then, you put the contents of the extension ZIP file in there.
- **Step 3**: Upload the directory app/code/Bss/Reindex/ into the root directory of your Magento installation. The root directory of Magento is the directory that contains the directories "app", "bin", "lib" and more. All directories should match the existing directory structure.
- **Step 4**: Go to Magento 2 root directory. Run: php bin/magento setup:upgrade.
- **Step 5**: Run: php bin/magento setup:static-content:deploy.
- **Step 6**: Clear all Caches.

## 3. Detailed Functions

[Magento 2 Reindex from Backend Extension](https://bsscommerce.com/reindex-from-backend-for-magento-2.html) by BSSCommerce is an outstanding module which can solve many problems from default Magento. This module allows store admin to reindex data when there appears some new changes such as adding new products, changing new price of a product. For example, when admin change a price of a T - shirt from $20.00 to $40.00, he/she has to reindex the data in the backend to have an exact and new display in the frontend. However, default Magento 2 does not support this function, so the reindex process in your website’s backend will be simpler with the help of this extension. The following things are key features of Magento 2 Reindex from Backend: 

- **Data will be reindexed from Index Management at the Backend by only one click**
In the backend, with all actions in only one page, store admin easily reindex data by choosing the indexers, click on Actions box and then submit. As a result, all data chosen will be ready, clean and clear.
![magento2-reindex-from-backend-index-management.png](https://bsscommerce.com/media/wysiwyg/infortis/screenshot/magento2-reindex-from-backend-index-management.png)

- **Display the notification of rebuilt indexers in details**

After submitting reindex, all reindexed data will be displayed again to confirm the successful actions of admin. This step will help store admin a lot to look back the actions that they have done.
![magento2-reindex-from-backend-notification.png](https://bsscommerce.com/media/wysiwyg/infortis/screenshot/magento2-reindex-from-backend-notification.png)

- **Be easy to set limit ability to finish the action by admin role**

Store owners will be able to set which one admin can have the right to do reindex action in the backend and which one cannot be reindexed. This will help store owners easily control the system whenever there exists any changes from products or price and so on. 

**Full key features of Magento 2 Reindex from Backend**
- Simple process: One click can reindex data in the index management from the backend.
- Show notifications of rebuilt indexers in details.
- Set up the right to reindex data by store owners. 

## 4. User Guide

Please go to **Stores →  System →  Index Management** and start configuration.
![magento2-reindex-from-backend-index-management.png](https://bsscommerce.com/media/wysiwyg/infortis/screenshot/magento2-reindex-from-backend-index-management.png)

Choose the **Indexers** which you want to reindex. 
In **Action box**: Choose **Reindex Data**. 

## 5. Other Useful Magento 2 Extensions by BSSCommerce Are The Best Solutions for Your Business


☞ [One Step Checkout](https://bsscommerce.com/magento-2-one-step-checkout.html): alows customers to quickly checkout in one page only 

☞ [Wholesale Fast Order](https://bsscommerce.com/magento-2-wholesale-fast-order.html): provides customers faster order than ever through a CMS page

☞ [Defer Javascript](https://bsscommerce.com/magento-defer-javascript-extension-for-magento-2.html): speeds up Magento 2 websites by deferring JavaScript till the last moment

☞ [Ajax Add to Cart](https://bsscommerce.com/magento-2-ajax-add-to-cart.html): lets your customers shop effortlessly without loading pages

☞ [SEO Extension](https://bsscommerce.com/magento-2-seo-extension.html): provides an all-in-one Magento 2 SEO solution to gain your store ranking in the search result and boost your traffic

☞ [Custom Order Number](https://bsscommerce.com/magento-2-custom-order-number-extension.html): allows admin to customize all documents numbering related to sales especially the order number in Magento 2

☞ [Multiple Store View Pricing](https://bsscommerce.com/magento-multiple-store-view-pricing-for-magento-2.html): displays different prices of the same product per Magento 2 store view

☞ [GEOIP Store Switcher](https://bsscommerce.com/geoip-auto-switch-store-for-magento-2.html): automatically switches users to an assigned store view base on their GEOIP

☞ [Configurable Product Wholesale Display](https://bsscommerce.com/configurable-product-wholesale-display-for-magento-2.html/): provides perfect performance of configurable products for merchants to add multiple children items to cart

☞ [Comfigurable Product Grid View](https://bsscommerce.com/magento-configurable-product-grid-table-view-for-magento-2.html): add a large number of children products to cart at ease with grid view of configurable products
